Il registro dei sub-responsabili dell'operatore (DPA art. 8 / Allegato 3)
GET
/v1/legal/sub-processors
const url = 'https://api.vimine.network/v1/legal/sub-processors';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vimine.network/v1/legal/sub-processorsIl registro attuale (sub-responsabili attivi e previsti, e fornitori che non trattano dati delle associazioni) con la versione in vigore dell’Allegato 3 a cui è legato.
Risposte
Sezione intitolata “Risposte”Registro
Tipo di contenutoapplication/json
object
version
La versione in vigore dell’Allegato 3 a cui il registro è legato
string
effective_from
string formato: date-time
notice_days
integer
at
string formato: date-time
active
obbligatorio
Array<object>
object
cod
obbligatorio
string
name
obbligatorio
string
entity
string
service
obbligatorio
string
data_categories
string
location
string
transfer_basis
string
role
obbligatorio
string
status
obbligatorio
string
since
string formato: date
until
string formato: date
website
string
planned
obbligatorio
Array<object>
object
cod
obbligatorio
string
name
obbligatorio
string
entity
string
service
obbligatorio
string
data_categories
string
location
string
transfer_basis
string
role
obbligatorio
string
status
obbligatorio
string
since
string formato: date
until
string formato: date
website
string
other
obbligatorio
Fornitori che non trattano dati delle associazioni (trasparenza)
Array<object>
object
cod
obbligatorio
string
name
obbligatorio
string
entity
string
service
obbligatorio
string
data_categories
string
location
string
transfer_basis
string
role
obbligatorio
string
status
obbligatorio
string
since
string formato: date
until
string formato: date
website
string
Esempio
{ "active": [ { "role": "processor", "status": "active" } ], "planned": [ { "role": "processor", "status": "active" } ], "other": [ { "role": "processor", "status": "active" } ]}Richiesta non valida
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Non trovato
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Troppe richieste
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Errore interno
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}